<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Forms</title>
</head>
<body>
	<h2 align="center">
		Welcome to the Forms Page
	</h2>
	<!-- Semantic Tags
		 Semantic Tags are new additions to HTML. Semantic Tags are also containers for element but unlike divs they are definitive of its content without relying to semantic id. However, em, string, they are also semantic tags as they are used over <i></i><b></b>.

		 Semantic Containers such as nav, main,section are more preferred by developers now because it aids in better Search Engine Optimization, as well developers themselves because each tag now clearly defines what is the content to be added.
	 -->

	 <!-- nav is semantic container which contains navigation links. -->
	<nav>
	 	<a href="./index.html">Go to Index Page</a>
	
		<a href="./table.html">Go to Table Page</a>
		
		<a href="../activity/contact.html">Go to Contact Page</a>	
	</nav>
	
	<!-- Main is semantic container used to show the main content of a page -->
	<main>
		<!-- section are used to show parts of a page -->
		<section>
			<h2>HTML Forms</h2>
			<p>HTML Forms are used to gather information or data from our user and send that information to a server.</p>
		</section>

		<section>
			<!-- Form tags allows us to create a form. We can then gather date an user input in our form and submit it to a server.

			action attribute  in form a will allows us to pass/submit the data to the server of the url that is given.

			label tag will allows us to create an element that serves as a label or indicator to the input. add a for attribute to the label will allow us to associate the label element to a particular input element. for attribute is passed the id of the particular element to associate it.

			input tag creates an input element to add user input. input element/tag can have many types to allow the addition of different kinds of data or information like, text, numbers, or dates.

			type attribute in input elements allows us to identify what kind of information is to be provided to the input. It also affects the behaivor of the element to be appropriate to the type of data we want to gather.

			name attribute allows us to provided a name/ an identifier for the VALUE of the input element. It allow us to properly identify the value of an inout in our form.

			id attribute not only provides a unique identifier for the element, it is also used by the label to associate with.

			reuqired attribute allows us to check if the input has been filled and if not the form cannot be submitted.
			
			autocomplete attribute provides suggestion for unputs and allows us for better user experience.

			input type data changes the behavior of an input element and olny allows the input of dates.

			buttons are used to interact with our pages we can either have the button trigger an actor, reset a form or submit the form.

			type attribute to a button to indicate the action it will do. buttons in a form can submit the form. This is why we add a type attribute to differentiate the actions buttons can do in a form.

			input type number change the behaivior of an input element and only allows us the input of numbers.

			min attribute to input type number sets the minimum number we can input.

			max attribute to input type number sets the maximum number we can input.

			select tag allows us to create a drodown menu with choices.

			option tag allows us to create the options/choices available for our select tag.

			value attribute to provided the value or data per option.
			this is done because options cannot be typed into and receive input.

			input type radio allows us to create a radio button and provide  users a single choice of information to pass.

			input ype checkbox will create a checkbox for multiple selections among multiple choices.

			 -->
			<form action="https://google.com">
				<!-- full name -->
				<label for="fname">Full Name:</label>
				<br>
				
				<input type="text" name="fullname" id="fname" required autocomplete>
				<br>
				
				<!-- birthdate -->
				<label for="bdate">Birthdate:</label>
				
				<input type="date" name="birthday" id="bdate" required autocomplete>
				<br>
				
				<!-- age -->
				<label for="age">Age:</label>
				<br>
				
				<input type="number" name="birthday" id="ageInput" min="18" max="40" required>
				<br>
				
				<!-- gender -->
				<label for="gendeInput">Gender</label>
				<br>
				
				<select name="gender" id="genderInput">
				<br>
				
				<option value="male">Male</option>
				<option value="female">Female</option>
				<option value="Other">Other</option>
				</select>
				<br>
				<!-- radio -->
				<label>New User?</label>
				<br>
				
				<input type="radio" name="new_user" id="radioUser1" value="yes">
				
				<label for="radioUser1">Yes</label>
				<br>
				
				<input type="radio" name="new_user" id="radioUser2" value="no">

				<label for="radioUser2">No</label>

				<!-- checkbox -->
				<br>
				<label >Role:</label>
				<br>
				<input type="checkbox" name="role1" id="roleInput1" value="developer">

				<label for="roleInput1">Developer</label>
				<br>

				<input type="checkbox" name="role2" id="roleInput2" value="student">

				<label for="roleInput2">Student</label>
				<br>

				<input type="checkbox" name="role3" id="roleInput3" value="manager">

				<label for="roleInput1">Manager</label>

				<br>
				<button type="submit" value="Submit">Submit</button>
				<button type="reset" value="Reset">Reset</button>

			</form>
		</section>
	</main>

	<div>
		
	</div>

</body>
</html>